.hr {
  border-bottom: 1px solid #ccc;
  margin: 1rem 0;
}

.header {
  font-size: 1.3rem;
  text-align: center;
  margin: 1rem;
}

ion-item {
  ion-label {
    white-space: normal;
  }
}

ion-chip {
  --background: #ffffff;
}

.custom-alert {
  .alert-wrapper {
    --max-width: 80%;
  }

  .alert-button-cancel {
    border: #1a1a1a 2px solid;
    border-radius: 6.4rem;
    padding: 0.5rem 0.75rem !important;
  }

  .alert-button-confirm {
    width: 7rem;
    border: var(--ion-color-primary) 2px solid;
    color: white;
    border-radius: 6.4rem;
    padding: 0.5rem 0.75rem !important;
    background: var(--ion-color-primary);
  }

  .alert-button-inner {
    justify-content: center;
  }
}

.credential-img {
  background-image: url("/assets/background/background-abstract.svg"),
    url("/assets/background/credential.svg");
  background-size: 120% auto, 150% auto;
  background-position: -5rem -25rem, -10rem 25rem;
  background-repeat: no-repeat, no-repeat;
}

ion-popover {
  --min-width: 300px;
  --border-radius: 6px;
  --box-shadow: 0 28px 48px rgba(0, 0, 0, 0.4);
  --backdrop-filter: blur(8.5px);
  --offset-y: -18rem;

  .wrapper {
    background-color: #f1f1f1;
    padding-bottom: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;

    .chip-container {
      display: flex;
      justify-content: center;
      font-size: 1.3rem;
      margin-top: 0.2rem;

      div {
        margin: 0.5rem 0;
        color: #a3a3a3;
      }
    }

    .align {
      border-top: 2px white solid;
      display: flex;
      padding-top: 1rem;
      text-align: center;
      justify-content: center;
      font-size: 1.5rem;
      color: #294597;
    }

    img {
      width: 2.2rem;
      margin-right: 0.5rem;
    }
  }
}

ion-accordion-group.accordion-group-expand-inset {
  > ion-accordion {
    border-radius: var(--border-radius);
    /*
      Fix for accordion shadows on iOS
    */
    box-shadow: rgb(0 0 0 / 20%) 0px 3px 1px -2px, rgb(0 0 0 / 14%) 0px 2px 2px 0px,
      rgb(0 0 0 / 12%) 0px 1px 5px 0px;
  }
}

.alert-wrapper.sc-ion-alert-ios {
  border-radius: 4px;
}

/*
  Fix for alert buttons on iOS
 */
.alert-button-group.sc-ion-alert-ios {
  margin: 0.5rem auto;
  width: 50%;
}
